#ifndef DiscAnalysis_h
#define DiscAnalysis_h

class Event;
class EventDiscriminator;
class TH1F;

class DiscAnalysis {

 public:

  DiscAnalysis();
  ~DiscAnalysis();

  void init( const std::string& name );
  void analyze( const Event& ev ); // analyze a new event
  void save( const std::string& name );

 private:

  DiscAnalysis           ( const DiscAnalysis& x );
  DiscAnalysis& operator=( const DiscAnalysis& x );

  EventDiscriminator* disc;
  TH1F* h_disc;

};

#endif

